<?php
	require_once( $GLOBALS["site_root"]."/includes/widgets/Widget.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MyQuotesGrid.inc.php" );

	class MyQuotesPane extends Widget {
		protected $bLoggedIn;
		protected $bIsMember;
		protected $oGrid;

		public function __construct( $id , $parent ) {
			parent::__construct( $id , $parent );
		}

		public function render() {
			$mymember = new MyMemberModel();
			$this->bLoggedIn = $mymember->isUserLoggedin();
			$this->setParam( "bLoggedIn" , $this->bLoggedIn );
			$this->bIsMember = $mymember->isMemberLoggedIn();
			$this->setParam( "bIsMember" , $this->bIsMember );
			if ($this->bLoggedIn) {
				$this->oGrid = new MyQuotesGrid( "grid" , $this );
				$this->oGrid->passGetPost( $this->aG , $this->aP );
			}
			return parent::render();
		}

	}

?>
